Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Class EntityDiscriminator

    java.lang.Object
      org.hibernate.metamodel.binding.EntityDiscriminator

    public class EntityDiscriminator

extends Object

Binding of the discriminator in a entity hierarchy

Constructor Summary
`EntityDiscriminator()`

Method Summary
`SimpleValue` | `getBoundValue()`
`HibernateTypeDescriptor` | `getExplicitHibernateTypeDescriptor()`
`boolean` | `isForced()`
`boolean` | `isInserted()`
`void` | `setBoundValue(SimpleValue boundValue)`
`void` | `setForced(boolean forced)`
`void` | `setInserted(boolean inserted)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityDiscriminator

    public EntityDiscriminator()

Method Detail

### getBoundValue

    public SimpleValue getBoundValue()

### setBoundValue

    public void setBoundValue(SimpleValue boundValue)

### getExplicitHibernateTypeDescriptor

    public HibernateTypeDescriptor getExplicitHibernateTypeDescriptor()

### isForced

    public boolean isForced()

### setForced

    public void setForced(boolean forced)

### isInserted

    public boolean isInserted()

### setInserted

    public void setInserted(boolean inserted)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.